Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.entity
Class Street

    java.lang.Object
      com.gisgraphy.domain.geoloc.entity.GisFeature
          com.gisgraphy.domain.geoloc.entity.Street

    public class Street

extends GisFeature

Represents a `Street`.

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`LOCATION_COLUMN_NAME, logger`

Constructor Summary
`Street()` Needed by CGLib
`Street(GisFeature gisFeature)` Constructor that populate the `Street` with the gisFeature fields

Method Summary
`String` | `getIsIn()`
`Double` | `getLength()`
`Long` | `getOpenstreetmapId()`
`com.gisgraphy.street.StreetType` | `getStreetType()`
`boolean` | `isFullTextSearchable()` Override the gisFeature value.
`boolean` | `isOneWay()`
`void` | `setIsIn(String isIn)`
`void` | `setLength(Double length)`
`void` | `setOneWay(boolean oneWay)`
`void` | `setOpenstreetmapId(Long openstreetmapId)`
`void` | `setStreetType(com.gisgraphy.street.StreetType streetType)`

Methods inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`addAlternateName, addAlternateNames, addZipCode, addZipCodes, distanceTo, equals, getAdm, getAdm1Code, getAdm1Name, getAdm2Code, getAdm2Name, getAdm3Code, getAdm3Name, getAdm4Code, getAdm4Name, getAlternateNames, getAsciiName, getCountry, getCountryCode, getElevation, getFeatureClass, getFeatureCode, getFeatureId, getFullyQualifiedName, getFullyQualifiedName, getGtopo30, getId, getLatitude, getLocation, getLongitude, getModificationDate, getName, getPopulation, getSource, getTimezone, getZipCodes, hashCode, isAdm, isCity, isCountry, populate, setAdm, setAdm1Code, setAdm1Name, setAdm2Code, setAdm2Name, setAdm3Code, setAdm3Name, setAdm4Code, setAdm4Name, setAlternateNames, setAsciiName, setCountryCode, setElevation, setFeatureClass, setFeatureCode, setFeatureId, setGtopo30, setId, setLocation, setModificationDate, setName, setPopulation, setSource, setTimezone, setZipCodes, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Street

    public Street(GisFeature gisFeature)

  Constructor that populate the `Street` with the gisFeature fields

  Parameters:
    `gisFeature` - The gisFeature from which we want to populate the `Street`

### Street

    public Street()

  Needed by CGLib

Method Detail

### getOpenstreetmapId

    public Long getOpenstreetmapId()

### setOpenstreetmapId

    public void setOpenstreetmapId(Long openstreetmapId)

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Override the gisFeature value.
  Default to true;
  If this field is set to false, then the object won't be synchronized with the fullText search engine

  Overrides:
    `isFullTextSearchable` in class `GisFeature`
  Returns:
    true If the gisFeature must be sync with the fullText search engine

### isOneWay

    public boolean isOneWay()

### setOneWay

    public void setOneWay(boolean oneWay)

### getStreetType

    public com.gisgraphy.street.StreetType getStreetType()

### setStreetType

    public void setStreetType(com.gisgraphy.street.StreetType streetType)

### getLength

    public Double getLength()

### setLength

    public void setLength(Double length)

### getIsIn

    public String getIsIn()

  Returns:
    The city or state or any information where the street is located

### setIsIn

    public void setIsIn(String isIn)

  Parameters:
    `isIn` - The city or state or any information where the street is located

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.